<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="cn.m4399.single.demo">

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <application
        android:allowBackup="false"
        android:icon="@drawable/m4399_demo_ico"
        android:label="@string/demo_name"
        android:networkSecurityConfig="@xml/m4399single_network_security"
        tools:ignore="GoogleAppIndexingWarning,UnusedAttribute">

        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:theme="@style/AppBaseTheme"
            android:screenOrientation="${demo_screen_orientation}">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <!-- 注意：接入方注册 FileProvider，注意替换 applicationId 为应用包名 -->
        <provider
            android:name="cn.m4399.single.api.SingleFileProvider"
            android:authorities="${applicationId}.single.FileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/m4399single_file_paths" />
        </provider>

        <!-- 4399 single activities-->
        <activity
            android:name="cn.m4399.single.component.HostActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="${demo_screen_orientation}"
            android:theme="@style/m4399.Theme.Activity.Host" />

        <!-- 第三方 Activity 方向应设置与游戏一致 -->
        <activity
            android:name="com.alipay.sdk.app.H5PayActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:exported="false"
            android:screenOrientation="${demo_screen_orientation}"
            android:windowSoftInputMode="adjustResize|stateHidden" />
    </application>

</manifest>